src/base/cs_field_pointer.h File Reference

| programmer's documentation

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Structures | Macros | Enumerations | Functions | Variables
cs_field_pointer.h File Reference
`#include "cs_defs.h"`
Include dependency graph for cs_field_pointer.h:

Go to the source code of this file.

## Data Structures
struct | cs_field_pointer_array_t
union | cs_field_pointer_val_t

## Macros
#define | CS_ENUMF_(e) CS_FIELD_POINTER_ ## e
#define | CS_F_(e) cs_glob_field_pointers[CS_FIELD_POINTER_ ## e].f
#define | CS_FI_(e, i) cs_glob_field_pointers[CS_FIELD_POINTER_ ## e].a->p[i]

## Enumerations
enum | cs_field_pointer_id_t { CS_ENUMF_ =(p), CS_ENUMF_ =(p), CS_ENUMF_ =(p), CS_ENUMF_ =(p), CS_FIELD_N_POINTERS }

## Functions
void | cs_field_pointer_destroy_all (void)
void | cs_field_pointer_map (cs_field_pointer_id_t e, cs_field_t *f)
void | cs_field_pointer_map_indexed (cs_field_pointer_id_t e, int index, cs_field_t *f)
void | cs_field_pointer_map_base (void)
| Map base fields to enumerated pointers. More...

## Variables
union cs_field_pointer_val_t * | cs_glob_field_pointers

## Macro Definition Documentation

#define CS_ENUMF_ | ( |  | e | ) | CS_FIELD_POINTER_ ## e

#define CS_F_ | ( |  | e | ) | cs_glob_field_pointers[CS_FIELD_POINTER_ ## e].f

#define CS_FI_ | ( |  | e,
|  |  | i
| ) |  | cs_glob_field_pointers[CS_FIELD_POINTER_ ## e].a->p[i]

## Enumeration Type Documentation

enum cs_field_pointer_id_t

Enumerated field pointer ids

Enumerator
CS_ENUMF_ | pressure velocity density (at cells) density (at boundary faces)
CS_ENUMF_ | pressure velocity density (at cells) density (at boundary faces)
CS_ENUMF_ | pressure velocity density (at cells) density (at boundary faces)
CS_ENUMF_ | pressure velocity density (at cells) density (at boundary faces)
CS_FIELD_N_POINTERS |

## Function Documentation

void cs_field_pointer_destroy_all | ( | void |  | ) |

void cs_field_pointer_map | ( | cs_field_pointer_id_t | e,
|  | cs_field_t * | f
| ) |  |

void cs_field_pointer_map_base | ( | void |  | ) |

Map base fields to enumerated pointers.

void cs_field_pointer_map_indexed | ( | cs_field_pointer_id_t | e,
|  | int | index,
|  | cs_field_t * | f
| ) |  |

## Variable Documentation

union cs_field_pointer_val_t* cs_glob_field_pointers